## WebKitWebExtension

WebKitWebExtension

## Synopsis

    struct              WebKitWebExtension;
    void                (*WebKitWebExtensionInitializeFunction)
                                                            (WebKitWebExtension *extension);
    WebKitWebPage *     webkit_web_extension_get_page       (WebKitWebExtension *extension,
                                                             guint64 page_id);

## Object Hierarchy

      GObject
       +----WebKitWebExtension

## Signals

      "page-created"                                   : Run Last

## Description

## Details

### struct WebKitWebExtension

    struct WebKitWebExtension;

### WebKitWebExtensionInitializeFunction ()

    void                (*WebKitWebExtensionInitializeFunction)
                                                            (WebKitWebExtension *extension);

Type definition for a function that will be called to initialize the web extension when the web process starts.

`extension` : | a WebKitWebExtension

### webkit_web_extension_get_page ()

    WebKitWebPage *     webkit_web_extension_get_page       (WebKitWebExtension *extension,
                                                             guint64 page_id);

Get the web page of the given `page_id`.

`extension` : | a WebKitWebExtension
`page_id` : | the identifier of the WebKitWebPage to get
Returns : | the WebKitWebPage for the given `page_id`, or `NULL` if the identifier doesn't correspond to an exsiting web page. [transfer none]

## Signal Details

### The `"page-created"` signal

    void                user_function                      (WebKitWebExtension *extension,
                                                            WebKitWebPage      *web_page,
                                                            gpointer            user_data)      : Run Last

This signal is emitted when a new WebKitWebPage is created in the Web Process.

`extension` : | the WebKitWebExtension on which the signal is emitted
`web_page` : | the WebKitWebPage created
`user_data` : | user data set when the signal handler was connected.